# SimpleServer (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.simulator.server
Class SimpleServer

    java.lang.Object
      com.threerings.presents.server.PresentsServer
          com.threerings.crowd.server.CrowdServer
              com.threerings.micasa.server.MiCasaServer
                  com.threerings.micasa.simulator.server.SimpleServer

All Implemented Interfaces:
  SimulatorServer

    public class SimpleServer

extends MiCasaServer
implements SimulatorServer

A simple simulator server implementation that extends the MiCasa server.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.crowd.server.CrowdServer
`com.threerings.crowd.server.CrowdServer.CrowdModule`

Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsServer
`com.threerings.presents.server.PresentsServer.PresentsModule, com.threerings.presents.server.PresentsServer.PresentsServerModule`

Field Summary

Fields inherited from class com.threerings.presents.server.PresentsServer
`invmgr, omgr`

Constructor Summary
`SimpleServer()`

Method Summary
`void` `init(com.google.inject.Injector injector, ResultListener<SimulatorServer> obs)` Called to initialize this server instance.

Methods inherited from class com.threerings.micasa.server.MiCasaServer
`init, main`

Methods inherited from class com.threerings.presents.server.PresentsServer
`queueShutdown, run, runServer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.threerings.micasa.simulator.server.SimulatorServer
`run`

Constructor Detail

### SimpleServer

    public SimpleServer()

Method Detail

### init

    public void init(com.google.inject.Injector injector,
                     ResultListener<SimulatorServer> obs)
              throws Exception

  Description copied from interface: `SimulatorServer`
  Called to initialize this server instance.

  Specified by:
    `init` in interface `SimulatorServer`
    `obs` - the observer to notify when the server has finished starting up, or `null` if no notification is desired.
  Throws:
    `Exception` - thrown if anything goes wrong initializing the server.

Copyright © 2011. All Rights Reserved.